using System.Collections.ObjectModel;

namespace Entidades
{
    public class Producto
    {
        public int Id { get; set; }
        public string Nombre { get; set; }  
        public double Precio { get; set; }  
        public bool Habilitado { get; set; }
        public Categoria Categoria { get; set; }
        private List<Categoria> categorias = new List<Categoria>();

        public void AñadirCategoria(Categoria cat) {
            categorias.Add(cat);
        }

        public bool EliminarCategoria(Categoria cat) {
            var cAEliminar = categorias.FirstOrDefault(x => x.Id == cat.Id);
            if (cAEliminar == null) return false;
            return categorias.Remove(cAEliminar);
        }

        public ReadOnlyCollection<Categoria> MostrarCategorias(){
            return categorias.AsReadOnly();
        }
    }
}
